<div class="miam-catalog-category">
  <div class="miam-catalog-category__header">
    <div class="miam-catalog-category__title" (click)="displayListMode()">{{title}}</div>
    <div class="miam-catalog-category__link" (click)="displayListMode()">Voir tout</div>
    <ng-miam-icon height='20' width='20' primaryColor="var(--m-color-grey-text)"(click)="displayListMode()"
    [iconName]="icon.ChevronDown">
    </ng-miam-icon>
  </div>
  <div #categoryContent class="miam-catalog-category__content">
    <div #categoryCards class="miam-catalog-category__cards" 
      [ngStyle]="{'transform': 'translateX(-' + xTranslation() + 'px)'}">
      <div *ngIf="isLoading" class="miam-catalog-category__loader">
        <ng-miam-loader></ng-miam-loader>
        <div>
          Chargement des recettes...
        </div>
      </div>
      <ng-miam-catalog-recipe-card  class="miam-catalog-category__card" *ngFor="let recipe of recipes" [recipe]='recipe'></ng-miam-catalog-recipe-card>
    </div>
    <div *ngIf="currentSection != 0" (click)="slideLeft()" class="miam-catalog-category__slider__left">
      <ng-miam-icon height='56' width='56' primaryColor="var(--m-color-white)"  [iconName]="icon.ChevronDown"></ng-miam-icon>
    </div>
    <div *ngIf="currentSection != numberOfSections" (click)="slideRight()" class="miam-catalog-category__slider__right">
      <ng-miam-icon height='56' width='56' primaryColor="var(--m-color-white)"  [iconName]="icon.ChevronDown"></ng-miam-icon>
    </div>
  </div>
</div>